#!/bin/bash

echo "Installing AFNI"

#set up yum alternatives
if [ -a /etc/redhat-release ]; then
    libxp="yum -y install libXp"
	if [ "`grep -i fedora /etc/redhat-release`" ]; then
		libxp="dnf -y install libXp"
	fi
elif [ "$(grep -is debian /etc/*-release)" ]; then
	libxp="apt-get -y install libXp6"
fi

if [ ! -f "$TOOLS_PATH" ]; then
   mkdir -p $TOOLS_PATH || exit 1
   chown $PL_USER $TOOLS_PATH
fi
cd $TOOLS_PATH || exit 1

################################# AFNI 10 steps
    if  [ "$INSTALL_AFNI" = "true" ]; then
        echo "nitools-->Installing: "
        echo "nitools->libXp for AFNI"
        eval $libxp
        echo "nitools+=2"

        echo "nitools-->Downloading: "
        echo "nitools->AFNI v.${AFNI_VERSION}"

        wget -c --progress=dot $server/afni-${AFNI_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
                echo "nitools!Failed to download AFNI binaries"
                exit 1
        fi

        echo "nitools+=5"
        echo "nitools-->Installing: "
        echo "nitools->AFNI v.${AFNI_VERSION}"
        sudo -u $PL_USER tar xmvzf afni-${AFNI_VERSION}.tar.gz || exit 1
        echo "nitools+=2"
        rm -f afni-${AFNI_VERSION}.tar.gz || exit 1
        echo "nitools++"
    fi

    if [ "$INSTALL_AFNI_SERVERLIB" = "true" ]; then
		cd -
		. install_files/installWorkflows.sh
    fi

echo "Installation Complete!" 
