#!/bin/sh

echo "Installing AIR"

if [ ! -f "$TOOLS_PATH" ]; then
   mkdir -p $TOOLS_PATH || exit 1
   chown $PL_USER $TOOLS_PATH
fi
cd $TOOLS_PATH || exit 1

    ################################# AIR 13 steps
    if  [ "$INSTALL_AIR" = "true" ]; then
        echo "nitools-->Downloading: "
        echo "nitools->AIR v.${AIR_VERSION}"
        ######################################
        #######     INSTALLATION OF AIR
        ######################################

        rm -Rf ${TOOLS_PATH}/AIR-${AIR_VERSION} || exit 1
        echo "nitools++"
        wget -c --progress=dot $server/air-${AIR_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
                        echo "nitools!Failed to download AIR binaries"
                exit 1
        fi

        echo "nitools+=8"
        echo "nitools-->Installing: "
        echo "nitools->AIR v.${AIR_VERSION}"

        sudo -u $PL_USER tar xmvzf air-${AIR_VERSION}.tar.gz || exit 1
        rm -f air-${AIR_VERSION}.tar.gz || exit 1
        echo "nitools+=4"
    fi

    if [ "$INSTALL_AIR_SERVERLIB" = "true" ]; then
		cd -
		. install_files/installWorkflows.sh
    fi

echo "Installation Complete!"
