#!/bin/sh

echo "Installing BOWTIE"


cd $TOOLS_PATH || exit 1

    ################################# Bowtie 2 steps
    if  [ "$INSTALL_BOWTIE" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->Bowtie v.${BOWTIE_VERSION}"
        ######################################
        #######     INSTALLATION OF BOWTIE
        ######################################
        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/Bowtie-${BOWTIE_VERSION} || exit 1
        wget -c --progress=dot $server/bowtie-${BOWTIE_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
			echo "bitools!Failed to download BOWTIE binaries"
 	        exit 1
        fi

        echo "bitools++"    
        echo "bitools-->Installing: "
        echo "bitools->Bowtie v.${BOWTIE_VERSION}"
       
        sudo -u $PL_USER tar xmvzf bowtie-${BOWTIE_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f bowtie-${BOWTIE_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi
    
    if [ "$INSTALL_BOWTIE_SERVERLIB" = "true" ]
    then
	cd -
	. install_files/installIntegratedBio.sh
        echo "bitools+=7"      
    fi
	
echo "Installation Complete!"

