#!/bin/sh



cd $TOOLS_PATH || exit 1

    ################################# DTK 7 steps
    if  [ "$INSTALL_DTK" = "true" ]
    then
        # if the archive string DTK_ARCHIVE_LOCATION for this manually-installed tool is not empty,
        # then we are in auto install mode, so we can install the executables and/or pipe files
            #############################################
            #######     INSTALLATION OF DIFFUSION TOOLKIT
            #############################################
		if [ ! -z "$DTK_ARCHIVE_LOCATION" ]; then
			sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/DTK-${DTK_VERSION} || exit 1
			sudo -u $PL_USER tar xmvzf $DTK_ARCHIVE_LOCATION
			sudo -u $PL_USER mv dtk $TOOLS_PATH/DTK-${DTK_VERSION} || exit 1
			sudo -u $PL_USER ln -s $TOOLS_PATH/DTK-${DTK_VERSION} $TOOLS_PATH/DTK || exit 1

			# download and install glue
			cd $TOOLS_PATH/DTK-${DTK_VERSION}
			wget -c --progress=dot $server/dtk.tar.gz
			if [ $? -ne 0 ]; then
				echo "nitools!Failed to download diffusion toolkit glue"
				exit 1
			fi
			sudo -u $PL_USER tar xmvzf dtk.tar.gz
			sudo -u $PL_USER rm dtk.tar.gz
		else
			echo 'nitools@DTK@http://trackvis.org/download/@<b>After your browser opens, follow these instructions:</b><br>1. Sign up or, if you have already registered, log in.<br>2. Select "Linux (64-bit)" as the platform from the drop down menu.<br>3. Press the Download button.<br>'
		fi
	fi
    if [ "$INSTALL_DTK_SERVERLIB" = "true" ]; then
		cd -
		. install_files/installWorkflows.sh
        if [ ! -z "${DTK_VERSION}" ]; then
            sudo -u $PL_USER sed -i "s/DTKVERSION/${DTK_VERSION}/g" ${PL_SERVERLIB}/*/*/*pipe
        fi
    fi
	