#!/bin/sh

echo "Installing EMBOSS"


cd $TOOLS_PATH || exit 1

    ################################# EMBOSS 12 steps
    if  [ "$INSTALL_EMBOSS" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->EMBOSS v.${EMBOSS_VERSION}"
        ######################################
        #######     INSTALLATION OF EMBOSS
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/EMBOSS-${EMBOSS_VERSION} || exit 1
        echo "bitools++"
        
	wget -c --progress=dot $server/emboss-${EMBOSS_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download EMBOSS binaries"
 	        exit 1
        fi

        echo "bitools+=5"
        
        echo "bitools-->Installing: "
        echo "bitools->EMBOSS v.${EMBOSS_VERSION}"
        
        sudo -u $PL_USER tar xmvzf emboss-${EMBOSS_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f emboss-${EMBOSS_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_EMBOSS_SERVERLIB" = "true" ]
    then
        cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"
