#!/bin/sh



cd $TOOLS_PATH || exit 1

    ################################# FSL 7 steps
    if  [ "$INSTALL_FSL" = "true" ]
    then
        # if the archive string FSL_ARCHIVE_LOCATION for this manually-installed tool is not empty,
        # then we are in auto install mode, so we can install the executables and/or pipe files
            ######################################
            #######     INSTALLATION OF FSL
            ######################################
		if [ ! -z "$FSL_ARCHIVE_LOCATION" ]; then				
            sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/FSL-${FSL_VERSION} || exit 1
            sudo -u $PL_USER tar xmvzf $FSL_ARCHIVE_LOCATION
            sudo -u $PL_USER mv fsl $TOOLS_PATH/FSL-${FSL_VERSION} || exit 1
            sudo -u $PL_USER ln -s $TOOLS_PATH/FSL-${FSL_VERSION} $TOOLS_PATH/FSL || exit 1

            # download and install glue and scripts
            cd $TOOLS_PATH/FSL-${FSL_VERSION}
            wget -c --progress=dot $server/fsl.tar.gz || { echo "nitools!Failed to download fsl glue"; exit 1; }
            sudo -u $PL_USER tar xmvzf fsl.tar.gz
            sudo -u $PL_USER rm fsl.tar.gz

			wget -c --progress=dot $server/fsl-scripts.tar.gz || { echo "nitools!Failed to download fsl scripts"; exit 1; }
			sudo -u $PL_USER tar xmvzf fsl-scripts.tar.gz
            sudo -u $PL_USER rm fsl-scripts.tar.gz
		else
		   echo 'nitools@FSL@http://fsl.fmrib.ox.ac.uk/fsldownloads@<b>After your browser opens, follow these instructions:</b><br>a. Click the "I agree to the below terms and conditions..." link.<br>b. Fill out your personal information and scroll down to the Advanced users section.<br>c. Select the "Linux CentOS5 64-bit" or "Linux CentOS6 64-bit"<br>d. Click the Download button and save the archive to your computer.<br>'
		fi
	fi
    if [ "$INSTALL_FSL_SERVERLIB" = "true" ]; then
		cd -
		. install_files/installWorkflows.sh
        if [ ! -z "${FSL_VERSION}" ]; then
            sudo -u $PL_USER sed -i "s/FSLVERSION/${FSL_VERSION}/g" ${PL_SERVERLIB}/*/*/*pipe
        fi
    fi

