#!/bin/sh

echo "Installing Formatomatic"


cd $TOOLS_PATH || exit 1

   ################################# Formatomatic 4 steps
    if  [ "$INSTALL_FORMATOMATIC" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->Formatomatic v.${FORMATOMATIC_VERSION}"
        ######################################
        #######     INSTALLATION OF FORMATOMATIC
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/Formatomatic-${FORMATOMATIC_VERSION} || exit 1

        wget -c --progress=dot $server/formatomatic-${FORMATOMATIC_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download Formatomatic binaries"
 	        exit 1
        fi

        echo "bitools++"
		echo "bitools-->Installing: "
        echo "bitools->Formatomatic v.${FORMATOMATIC_VERSION}"
        
        sudo -u $PL_USER tar xmvzf formatomatic-${FORMATOMATIC_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f formatomatic-${FORMATOMATIC_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_FORMATOMATIC_SERVERLIB" = "true" ]
    then
		cd -
		. install_files/installWorkflows.sh
    fi
	
echo "Installation Complete!"