#!/bin/sh

cd $TOOLS_PATH || exit 1

    ################################# FreeSurfer 7 steps
    if  [ "$INSTALL_FREESURFER" = "true" ]
    then
        # if the archive string FREESURFER_ARCHIVE_LOCATION for this manually-installed tool is not empty,
        # then we are in auto install mode, so we can install the executables and/or pipe files
            ######################################
            #######     INSTALLATION OF FREESURFER
            ######################################
		if [ ! -z "$FREESURFER_ARCHIVE_LOCATION" ]; then
			sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/FREESURFER-${FREESURFER_VERSION} || exit 1
			sudo -u $PL_USER tar xmvzf $FREESURFER_ARCHIVE_LOCATION
			sudo -u $PL_USER mv freesurfer $TOOLS_PATH/FREESURFER-${FREESURFER_VERSION} || exit 1
			sudo -u $PL_USER ln -s $TOOLS_PATH/FREESURFER-${FREESURFER_VERSION} $TOOLS_PATH/FREESURFER || exit 1

			# download and install glue and scripts
			cd $TOOLS_PATH/FREESURFER-${FREESURFER_VERSION}
			wget -c --progress=dot $server/freesurfer.tar.gz || { echo "nitools!Failed to download freesurfer glue"; exit 1; }
			sudo -u $PL_USER tar xmvzf freesurfer.tar.gz
			sudo -u $PL_USER rm freesurfer.tar.gz
		
			wget -c --progress=dot $server/freesurfer-scripts.tar.gz || { echo "nitools!Failed to download freesurfer scripts"; exit 1; }
			sudo -u $PL_USER tar xmvzf freesurfer-scripts.tar.gz
			sudo -u $PL_USER rm freesurfer-scripts.tar.gz

			if [ ! -z "$FREESURFER_LICENSE_LOCATION" ]; then
				cp $FREESURFER_LICENSE_LOCATION ${TOOLS_PATH}/FREESURFER-${FREESURFER_VERSION} || exit 1
			fi
		else
			echo 'nitools@FreeSurfer@http://surfer.nmr.mgh.harvard.edu/fswiki/Download@<b>After your browser opens, follow these instructions:</b><br>a. Click on freesurfer-Linux-centos4_x86_64-stable-pub-v5.0.0.tar.gz link.<br>b. Save the archive to your computer.<br>@https://surfer.nmr.mgh.harvard.edu/registration.html@<b>After your browser opens, follow these instructions:</b><br>a. Fill out the form on the FreeSurfer registration page<br>b. Make sure to select the proper OS<br>c. Press the "I AGREE" button at the bottom of the page<br>d. You will receive an email with instructions on how to create the .license file'
		fi
	fi
	if [ "$INSTALL_FREESURFER_SERVERLIB" = "true" ]; then
		cd -
		. install_files/installWorkflows.sh
		if [ ! -z "${FREESURFER_VERSION}" ]; then
			sudo -u $PL_USER sed -i "s/FREESURFERVERSION/${FREESURFER_VERSION}/g" ${PL_SERVERLIB}/*/*/*pipe
		fi	
	fi
