#!/bin/sh

echo "Installing GENEPOP"


cd $TOOLS_PATH || exit 1

    ################################# GENEPOP 4 steps
    if  [ "$INSTALL_GENEPOP" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->GENEPOP v.${GENEPOP_VERSION}"
        ######################################
        #######     INSTALLATION OF GENEPOP
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/GENEPOP-${GENEPOP_VERSION} || exit 1

        wget -c --progress=dot $server/genepop-${GENEPOP_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
			echo "bitools!Failed to download GENEPOP binaries"
 	        exit 1
        fi
 
		echo "bitools++"
        echo "bitools-->Installing: "
        echo "bitools->GENEPOP v.${GENEPOP_VERSION}"
        
        sudo -u $PL_USER tar xmvzf genepop-${GENEPOP_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f genepop-${GENEPOP_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_GENEPOP_SERVERLIB" = "true" ]
    then
		cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"