#!/bin/sh

echo "Installing GWASS"


cd $TOOLS_PATH || exit 1

   ################################# GWASS 4 steps
    if  [ "$INSTALL_GWASS" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->GWASS v.${GWASS_VERSION}"
        ######################################
        #######     INSTALLATION OF GWASS
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/GWASS-${GWASS_VERSION} || exit 1

        wget -c --progress=dot $server/gwass-${GWASS_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download GWASS binaries"
 	        exit 1
        fi

        echo "bitools++"       
        echo "bitools-->Installing: "
        echo "bitools->GWASS v.${GWASS_VERSION}"
        
        sudo -u $PL_USER tar xmvzf gwass-${GWASS_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f gwass-${GWASS_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_GWASS_SERVERLIB" = "true" ]
    then
		cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"