#!/bin/sh

##special case for integrated bioinformatics (MAQ, BOWTIE, and SAMTOOLS)
if [ "$INSTALL_MAQ_SERVERLIB" = "true" ] || [ "$INSTALL_BOWTIE_SERVERLIB" = "true" ] || [ "$INSTALL_SAMTOOLS_SERVERLIB" = "true" ]; then
   if [ "$installedbio" = "false" ]; then
        echo "bitools-->Installing: "
        echo "bitools->MAQ,BOWTIE,SAMTOOLS server library files"
                if [ ! -d "$PL_SERVERLIB" ]
        then
            sudo -u $PL_USER mkdir -p $PL_SERVERLIB || exit 1
        fi

        cd $PL_SERVERLIB || exit 1
        wget -c --progress=dot $server/serverLib_IntegratedBioinformatics.tar.gz
        if [ $? -ne 0 ]; then
                echo "bitools!Failed to download Integrated Bioinformatics server library"
                exit 1
        fi

        sudo -u $PL_USER tar -xmzvf serverLib_IntegratedBioinformatics.tar.gz || exit 1
        sudo -u $PL_USER rm serverLib_IntegratedBioinformatics.tar.gz || exit 1
        sudo -u $PL_USER touch ${PL_SERVERLIB}/.monitorFile || exit 1
        export installedbio=true
   fi
fi

if [ "$CURRENT_TOOL" = "$LAST_LIBRARY" ]; then
echo "Updating hostname"
# update hostname specified in module definitions
HOSTNAME=${PL_HOSTNAME}
if [ "${PL_PORT}" != 8001 ]; then
        HOSTNAME=${PL_HOSTNAME}:${PL_PORT}
fi

if [ -d "${PL_SERVERLIB}" ]; then
        for x in `ls ${PL_SERVERLIB}/*/*/*pipe 2> /dev/null`; do
                if [ -f $x ]
                then
                   sed -i "s/cranium\.loni\.usc\.edu/$HOSTNAME/g" $x || exit 1
                fi
        done
        sudo -u $PL_USER touch ${PL_SERVERLIB}/.monitorFile || exit 1
fi

echo "${COMPONENT}++"

fi

