#!/bin/sh

echo "Installing LONI Tools"


#cd $TOOLS_PATH || exit 1

    ################################# LONI TOOLS 130 steps
	
	if [ "$INSTALL_LONITOOLS_SERVERLIB" = "true" ]; then
	export CURRENT_TOOL=LONI
		#cd -
		. install_files/installWorkflows.sh
    fi
	
    cd $TOOLS_PATH || exit 1 
    if  [ "$INSTALL_LONITOOLS" = "true" ]; then
        echo "nitools-->Cleaning previous installations of LONI Tools..."
        echo "nitools->"
        ######################################
        #######     INSTALLATION OF LONI TOOLS
        ######################################
        rm -Rf ${TOOLS_PATH}/LONI || exit 1

        sudo -u $PL_USER mkdir -p $TOOLS_PATH/LONI || exit 1
        sudo -u $PL_USER mkdir -p $TOOLS_PATH/LONI/data || exit 1
        sudo -u $PL_USER mkdir -p $TOOLS_PATH/LONI/scripts || exit 1
        sudo -u $PL_USER mkdir -p $TOOLS_PATH/LONI/apps || exit 1
        sudo -u $PL_USER mkdir -p $TOOLS_PATH/LONI/workflows || exit 1
        sudo -u $PL_USER mkdir -p $TOOLS_PATH/LONI/jars || exit 1
        
        echo "nitools++"
        echo "nitools-->Downloading: "
        echo "nitools->Jar files of LONI Tools [ 1/5 ]"

        wget -c --progress=dot $server/loniJars.tar.gz
        if [ $? -ne 0 ]; then
			echo "nitools!Failed to download LONI jars"
 	        exit 1
        fi
        echo "nitools+=3"
        echo "nitools-->Downloading: "
        echo "nitools->Scripts of LONI Tools [ 2/5 ]"

        wget -c --progress=dot $server/loniScripts.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "nitools!Failed to download LONI scripts"
 	        exit 1
        fi
        
        echo "nitools++"
        echo "nitools-->Downloading: "
        echo "nitools->Apps of LONI Tools [ 3/5 ]"

        wget -c --progress=dot $server/loniApps.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "nitools!Failed to download LONI apps"
 	        exit 1
        fi
        
        echo "nitools+=10"
        echo "nitools-->Downloading: "
        echo "nitools->Workflows of LONI Tools [ 4/5 ]"

        wget -c --progress=dot $server/loniWorkflows.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "nitools!Failed to download brainsuite LONI workflows"
 	        exit 1
        fi
        
        echo "nitools+=5"
        echo "nitools-->Downloading: "
        echo "nitools->Data files of LONI Tools [ 5/5 ]"

        wget -c --progress=dot $server/loniData.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "nitools!Failed to download LONI data"
 	        exit 1
        fi

        echo "nitools+=40"

        cd $TOOLS_PATH/LONI || exit 1
        echo "nitools-->Installing: "
        echo "nitools->[1/5] JAR files of LONI Tools"

        cd jars || exit 1
        mv $TOOLS_PATH/loniJars.tar.gz ./loniJars.tar.gz || exit 1
        echo "nitools+=2"
        sudo -u $PL_USER tar xmvzf loniJars.tar.gz
        rm -f loniJars.tar.gz || exit 1
        echo "nitools+=3"

        echo "nitools-->Installing: "
        echo "nitools->[2/5] Scripts of LONI Tools"
        cd ../scripts || exit 1
        mv $TOOLS_PATH/loniScripts.tar.gz ./loniScripts.tar.gz || exit 1
        echo "nitools+=2"
        sudo -u $PL_USER tar xmvzf loniScripts.tar.gz
        rm -f loniScripts.tar.gz || exit 1
        echo "nitools++"

        echo "nitools-->Installing: "
        echo "nitools->[3/5] Apps of LONI Tools"
        cd ../apps || exit 1
        mv $TOOLS_PATH/loniApps.tar.gz ./loniApps.tar.gz || exit 1
        echo "nitools+=2"
        sudo -u $PL_USER tar xmvzf loniApps.tar.gz
        rm -f loniApps.tar.gz || exit 1
        echo "nitools+=6"

        echo "nitools-->Installing: "
        echo "nitools->[4/5] Workflows of LONI Tools"
        cd ../workflows || exit 1
        mv $TOOLS_PATH/loniWorkflows.tar.gz ./loniWorkflows.tar.gz || exit 1
        echo "nitools+=2"
        sudo -u $PL_USER tar xmvzf loniWorkflows.tar.gz
        rm -f loniWorkflows.tar.gz || exit 1
        sudo -u $PL_USER ln -s $TOOLS_PATH/LONI/workflows $TOOLS_PATH/loniWorkflows || exit 1
	    echo "nitools+=15"

        echo "nitools-->Installing: "
        echo "nitools->[5/5] Data files of LONI Tools"
        cd ../data || exit 1
        mv $TOOLS_PATH/loniData.tar.gz ./loniData.tar.gz || exit 1
        echo "nitools+=2"
        sudo -u $PL_USER tar xmvzf loniData.tar.gz
        rm -f loniData.tar.gz || exit 1
        echo "nitools+=35"
    fi

echo "Installation Complete!"
