#!/bin/sh

echo "Installing MAQ"


cd $TOOLS_PATH || exit 1

    ################################# MAQ 2 steps
    if  [ "$INSTALL_MAQ" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->MAQ v.${MAQ_VERSION}"
        ######################################
        #######     INSTALLATION OF MAQ
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/MAQ-${MAQ_VERSION} || exit 1

        wget -c --progress=dot $server/maq-${MAQ_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download MAQ binaries"
 	        exit 1
        fi

        echo "bitools++"   
        echo "bitools-->Installing: "
        echo "bitools->MAQ v.${MAQ_VERSION}"
        
        sudo -u $PL_USER tar xmvzf maq-${MAQ_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f maq-${MAQ_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi
	
    if [ "$INSTALL_MAQ_SERVERLIB" = "true" ]
    then
        cd -
        . install_files/installIntegratedBio.sh
        echo "bitools+=7"
    fi
echo "Installation Complete!"

