#!/bin/sh

echo "Installing MSA"


cd $TOOLS_PATH || exit 1

    ################################# MSA 4 steps
    if  [ "$INSTALL_MSA" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->MSA v.${MSA_VERSION}"
        ######################################
        #######     INSTALLATION OF MSA
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/MSA-${MSA_VERSION} || exit 1

        wget -c --progress=dot $server/msa-${MSA_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download MSA binaries"
 	        exit 1
        fi
        echo "bitools++"
        echo "bitools-->Installing: "
        echo "bitools->MSA v.${MSA_VERSION}"
        
        sudo -u $PL_USER tar xmvzf msa-${MSA_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f msa-${MSA_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_MSA_SERVERLIB" = "true" ]
    then
        cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"