#!/bin/sh

echo "Installing PLINK"


cd $TOOLS_PATH || exit 1

    ################################# PLINK 7 steps
    if  [ "$INSTALL_PLINK" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->PLINK v.${PLINK_VERSION}"
        ######################################
        #######     INSTALLATION OF PLINK
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/PLINK-${PLINK_VERSION} || exit 1

        wget -c --progress=dot $server/plink-${PLINK_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download PLINK binaries"
 	        exit 1
        fi
        echo "bitools+=3"        
        echo "bitools-->Installing: "
        echo "bitools->PLINK v.${PLINK_VERSION}"
        
        sudo -u $PL_USER tar xmvzf plink-${PLINK_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f plink-${PLINK_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_PLINK_SERVERLIB" = "true" ]
    then
        cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"