#!/bin/sh

echo "Installing Picard"


cd $TOOLS_PATH || exit 1

    ################################# Picard 13 steps
    if  [ "$INSTALL_PICARD" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->Picard v.${PICARD_VERSION}"
        ######################################
        #######     INSTALLATION OF PICARD
        ######################################
        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/Picard-${PICARD_VERSION} || exit 1
        wget -c --progress=dot $server/picard-${PICARD_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download Picard binaries"
 	        exit 1
        fi
        echo "bitools+=5"        
        echo "bitools-->Installing: "
        echo "bitools->Picard v.${PICARD_VERSION}"
        
        sudo -u $PL_USER tar xmvzf picard-${PICARD_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f picard-${PICARD_VERSION}.tar.gz || exit 1
        echo "bitools+=3"
    fi
    
    if [ "$INSTALL_PICARD_SERVERLIB" = "true" ]
    then
        cd -
		. install_files/installWorkflows.sh
    fi
	
echo "Installation Complete!"
