#!/bin/sh

echo "Installing SamTools"


cd $TOOLS_PATH || exit 1

   ################################# SamTools 2 steps
    if  [ "$INSTALL_SAMTOOLS" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->SamTools v.${SAMTOOLS_VERSION}"
        ######################################
        #######     INSTALLATION OF SAMTOOLS
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/SamTools-${SAMTOOLS_VERSION} || exit 1

        wget -c --progress=dot $server/samtools-${SAMTOOLS_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download SamTools binaries"
 	        exit 1
        fi
        echo "bitools++"        
        echo "bitools-->Installing: "
        echo "bitools->SamTools v.${SAMTOOLS_VERSION}"
        
        sudo -u $PL_USER tar xmvzf samtools-${SAMTOOLS_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f samtools-${SAMTOOLS_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi
	
    if [ "$INSTALL_SAMTOOLS_SERVERLIB" = "true" ]
    then
	cd -
        . install_files/installIntegratedBio.sh
        echo "bitools+=7"
    fi
echo "Installation Complete!"

