#!/bin/sh

echo "${COMPONENT}-->Installing: "
echo "${COMPONENT}->${CURRENT_TOOL} server library files"

if [ ! -d "$PL_SERVERLIB" ]
    then
    sudo -u $PL_USER mkdir -p $PL_SERVERLIB || exit 1
fi

cd $PL_SERVERLIB || exit 1
echo "${COMPONENT}+=2"
echo -n "download time= " && date
wget -c --progress=dot $server/serverLib_${CURRENT_TOOL}.tar.gz
    if [ $? -ne 0 ]; then
 	    echo "${COMPONENT}!Failed to download $CURRENT_TOOL server library"
 	    exit 1
    fi

echo "${COMPONENT}+=2"
cd $PL_SERVERLIB || exit 1
echo -n "tar time= " && date
sudo -u $PL_USER tar xmvzf serverLib_${CURRENT_TOOL}.tar.gz || exit 1
echo "${COMPONENT}+=2"
sudo -u $PL_USER rm serverLib_${CURRENT_TOOL}.tar.gz || exit 1
echo "${COMPONENT}++"
sudo -u $PL_USER touch ${PL_SERVERLIB}/.monitorFile || exit 1

if [ "$CURRENT_TOOL" = "$LAST_LIBRARY" ]; then
echo "Updating hostname"
# update hostname specified in module definitions
HOSTNAME=${PL_HOSTNAME}
if [ "${PL_PORT}" != 8001 ]; then
	HOSTNAME=${PL_HOSTNAME}:${PL_PORT}
fi

if [ -d "${PL_SERVERLIB}" ]; then
	for x in `ls ${PL_SERVERLIB}/*/*/*pipe 2> /dev/null`; do
                if [ -f $x ]
                then  
		   sed -i "s/cranium\.loni\.usc\.edu/$HOSTNAME/g" $x || exit 1
                fi
	done
	sudo -u $PL_USER touch ${PL_SERVERLIB}/.monitorFile || exit 1
fi

echo "${COMPONENT}++"

fi
