#!/bin/sh

echo "Installing mrFAST"


cd $TOOLS_PATH || exit 1

   ################################# mrFAST 4 steps
    if  [ "$INSTALL_MRFAST" = "true" ]
    then
        echo "bitools-->Downloading: "
        echo "bitools->mrFAST v.${MRFAST_VERSION}"
        ######################################
        #######     INSTALLATION OF MRFAST
        ######################################

        sudo -u $PL_USER rm -Rf ${TOOLS_PATH}/mrFAST-${MRFAST_VERSION} || exit 1

        wget -c --progress=dot $server/mrfast-${MRFAST_VERSION}.tar.gz
        if [ $? -ne 0 ]; then
 	        echo "bitools!Failed to download mrFAST binaries"
 	        exit 1
        fi
        echo "bitools++"      
        echo "bitools-->Installing: "
        echo "bitools->mrFAST v.${MRFAST_VERSION}"
        
        sudo -u $PL_USER tar xmvzf mrfast-${MRFAST_VERSION}.tar.gz || exit 1
        sudo -u $PL_USER rm -f mrfast-${MRFAST_VERSION}.tar.gz || exit 1
        echo "bitools++"
    fi

    if [ "$INSTALL_MRFAST_SERVERLIB" = "true" ]
    then
        cd -
		. install_files/installWorkflows.sh
    fi
echo "Installation Complete!"